var ApprovalService = function(restEngine) {

    this.approvesAlcada = function(currentRow, operacao, justificativa) {
        return restEngine.post(
            'sup#/aprovacaoAlcadas', {
                "requestType": "Row",
                "row": {
                    'OPERACAO': operacao,
                    'NRAUTOFORNE': currentRow.NRDEMANDA,
                    'CDFILDEST': currentRow.CDFILDEST,
                    'CDFILLANC': currentRow.CDFILLANC,
                    'APROVADOR': currentRow.APROVADOR,
                    'CDOPERLOG': getLocalVar('CDOPERADOR'),
                    'NRCONFIGALCADA': currentRow.NRCONFIGALCADA,
                    'VRAPROVACAO': currentRow.VRAPROVCMP,
                    'NRAPROVALCADA': currentRow.NRAPROVALCADA,
                    'JUSTIFICATIVA': justificativa
                }
            }
        );
    };

};

Configuration(function(ContextRegister) {
    ContextRegister.register('ApprovalService', ApprovalService);
});
