function TimelineController($scope) {

    $scope.statusToIcon = {
        "error": "fa-times",
        "exclamation": "fa-exclamation",
        "checked": "fa-check",
        "block": "fa-lock"
    };

    function getOffset(el) {
        el = el.getBoundingClientRect();
        return {
            left: el.left + window.scrollX,
            top: el.top + window.scrollY
        }
    }

    $scope.calculate = function () {
            let histList = document.getElementsByClassName('comment-card');
            for (let i = 0; i < histList.length; i++) {

                let curitemList = histList[i];
                let itemI = curitemList.children[0];
                let iTop = getOffset(itemI).top;

                let line = curitemList.children[curitemList.children.length - 1];

                if (histList[i + 1]) {
                    let nextItemList = histList[i + 1];
                    let nextitemI = nextItemList.children[0];
                    let nextiTop = getOffset(nextitemI).top;
                    let heightOfLine = nextiTop - iTop;

                    line.style.height = (heightOfLine+41) + 'px';
                }

            }
    };
}